Entitlement Insight - Get Tenant Users
Get the list of tenant users entitlement snapshot for the specified entitlement.
GET https://api.powerplatform.com/licensing/entitlements/{entitlementId}/users?fromDate={fromDate}&toDate={toDate}&api-version=2024-10-01
GET https://api.powerplatform.com/licensing/entitlements/{entitlementId}/users?fromDate={fromDate}&toDate={toDate}&pageSize={pageSize}&searchRequest={searchRequest}&orderbyConsumed={orderbyConsumed}&continuationToken={continuationToken}&api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
entitlement
|
path | True |
string |
The entitlement ID. |
|
api-version
|
query | True |
string |
The API version. |
|
from
|
query | True |
string |
The start date (inclusive) of the query range. |
|
to
|
query | True |
string |
The end date (inclusive) of the query range. |
|
continuation
|
query |
string |
Continuation token for pagination. |
|
|
orderby
|
query |
string |
Order by consumed field. |
|
|
page
|
query |
integer (int32) |
The page size for pagination. |
|
|
search
|
query |
string |
Search request for filtering the users. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Success |
|
| 204 No Content |
No Content |
|
| 400 Bad Request |
Bad Request |
|
| 401 Unauthorized |
Unauthorized |
|
| 403 Forbidden |
Forbidden |
|
| 404 Not Found |
Not Found |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
| Name | Description |
|---|---|
|
Tenant |
|
|
Tenant |
|
|
Tenant |
A paged response with a continuation token. |
TenantCapacityConsumptionUserSnapshotResponseModel
| Name | Type | Description |
|---|---|---|
| asOfDate |
string (date-time) |
|
| consumed |
number (double) |
|
| environmentId |
string |
|
| metadata |
object |
|
| tenantId |
string |
|
| unit |
string |
|
| userId |
string |
TenantUserResponseModel
| Name | Type | Description |
|---|---|---|
| users |
The list of users associated with the tenant. |
TenantUserResponseModelPagedResponse
A paged response with a continuation token.
| Name | Type | Description |
|---|---|---|
| @odata.count |
integer (int32) |
|
| @odata.nextLink |
string |
|
| continuationtoken |
string |
|
| value |